Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set
Interface SetOperationFactory

All Known Implementing Classes:
  SimpleSetOperationFactory

public interface SetOperationFactory

SetOperationFactory is a component that allows users to create executable commands for a WSRP document by providing either the values of the command or an XML fragment that represents it. All commands are compliant with the WSRP v1.2 SetResourceProperties spec definition.

Author:
  Dan Jemiolo (danj)

Method Summary
`SetRequest` | `createDelete(QName qname)` This is a convenience method that creates a new SetRequest object an populates it with a DeleteRequest for the given property.
`SetRequest` | `createInsert(QName qname, java.lang.Object[] values)` This is a convenience method that creates a new SetRequest object an populates it with a InsertRequest for the given property.
`SetRequest` | `createSet(org.w3c.dom.Element request)` Parses the given XML fragment according to the WS-RP spec for SetResourceProperties requests.
`SetRequest` | `createUpdate(QName qname, java.lang.Object[] values)` This is a convenience method that creates a new SetRequest object an populates it with a UpdateRequest for the given property.

Method Detail

### createDelete

    public SetRequest createDelete(QName qname)

  This is a convenience method that creates a new SetRequest object an populates it with a DeleteRequest for the given property.

  Parameters:
    `qname` - The name of the property to delete.

### createInsert

    public SetRequest createInsert(QName qname,
                                   java.lang.Object[] values)

  This is a convenience method that creates a new SetRequest object an populates it with a InsertRequest for the given property.

  Parameters:
    `qname` - The name of the property to insert.
    `values` - The initial values for each instance of the property. This array should not be null, nor empty.

### createSet

    public SetRequest createSet(org.w3c.dom.Element request)
                         throws BaseFault

  Parses the given XML fragment according to the WS-RP spec for SetResourceProperties requests.

  Parameters:
    `request` - An XML fragment containing a SetResourceProperties request.
  Returns:
    A SimpleSetRequest that contains one AbstractSetRequestComponent for each operation defined in the request. This object can be used to execute the request against a WS-RP container.
  Throws:
    `BaseFault` -
    - If the request is empty (contains no operations).
    - If one of the operation types is invalid (only Insert, Delete, and Update are allowed).
    - If one of the operations is not properly formatted.

### createUpdate

    public SetRequest createUpdate(QName qname,
                                   java.lang.Object[] values)

  This is a convenience method that creates a new SetRequest object an populates it with a UpdateRequest for the given property.

  Parameters:
    `qname` - The name of the property to update.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD